<?php
$_SESSION['title']="Торговцы";
heads($headers_page, $set_ob_start);   //подключение шапки

if (!isset($_GET['card_id']))
{
$cards=mysql_query("SELECT * FROM `location` WHERE `card` LIKE '%yestorg%'");
  if(mysql_num_rows($cards))
    {
      echo "Выбор карты:<form action='' method='get'>";
      echo "<select name='card_id'>";
        while($data=mysql_fetch_assoc($cards))
        {
          echo "<option value='$data[id]'>$data[name]</option>";
        }
      echo "</select><br /> ";
      echo "<input type='hidden' name='l' value='torgs' />";
      echo "<input type='submit' value='выбрать' />";
      echo "</form>";
    }
}else{
$card_id=abs(intval($_GET['card_id']));
$card=mysql_fetch_assoc(mysql_query("SELECT * FROM `location` WHERE `id`='$card_id' LIMIT 1"));
if(!$card){mset_err("Карта не найдена");header("Location: ?l=torgs");exit;}

// КАРТА
$BASE=eject_coord_base($card['card']);
$_t_s=reject_coord($card['s']);
$card['max_y']=intval($_t_s['y']);
$card['max_x']=intval($_t_s['x']);
 /*/  DEBUG
 foreach($card as $k=>$v)
 {
 echo $k." - ".$v."<br />";
 }
 echo $card['s']."<br />";
 echo $_t_s['y']."<br />";
 echo $_t_s['x']."<br />";
 /*/
 //  Проверка выделенной клетки
if (isset($_GET['coord']))
{
$sel=ft_nic($_GET['coord']);
  if(substr_count($BASE[$sel],'torg'))
  {
   $check_torg=get_torg($card['id'],$sel);
   if(!$check_torg)
   {
   echo "<a href='?l=addtorg&card=$card[id]&coord=$sel'>Добавить торговца</a>";
   }else{
   echo "<a href='?l=edittorg&torg_id=$check_torg[id]'>Здесь торгует $check_torg[name] </a>";
   } 
  }
}
//
echo "<div class='card'>";
  echo "<table border='1' align='center'>";
//вывод карты
  for ($i = 1; $i <= $card['max_y']; $i++)
   {
   $y=$i;
    //$x=1;
    echo "<tr>";
    for ($j = 1; $j <= $card['max_x']; $j++)
    {
    $x=$j;
    //<img src=\"$value\" alt=\"\" />
    $coordinate="$x-$y";
    $img_coordinate="null";
    if(isset($_GET['coord']) and $_GET['coord']==$coordinate){$class=' class="select"';}else{$class=' class="none"';}
    // вывод клеток карты
    if(isset($BASE[$coordinate]))
    {
    #if($coordinate==$user['coord']){$uimg='user';}else{$uimg=$BASE[$coordinate];}
    if(substr_count($BASE[$coordinate],'torg')){$uimg='yestorg2';}else{$uimg=$BASE[$coordinate];}    
    echo "<td$class><a class='none' title='$coordinate' href='?l=torgs&coord=$coordinate&card_id=$card[id]'><img class='none' src=\"./img/land/$uimg.gif\" alt='*' /></a></td>";
    }else{
    echo "<td$class><a class='none' title='$coordinate' href='?l=torgs&coord=$coordinate&card_id=$card[id]'><img class='none' src='./img/land/$img_coordinate.gif' alt='*' /></a></td>";
    }  
    }
    echo "</tr>";  
   }
   echo "</table></div>";
echo "<a href='?l=torgs'>К выбору карты</a><br />";
}
?>